<?php
/**
 * This is the main/default page template.
 *
 * For a quick explanation of b2evo 2.0 skins, please start here:
 * {@link http://manual.b2evolution.net/Skins_2.0}
 *
 * It is used to display the blog when no specific page template is available to handle the request.
 *
 * @package evoskins
 * @subpackage photoblog
 *
 * @version $Id: index.main.php,v 1.18 2009/05/23 14:12:42 fplanque Exp $
 *
*/
/**
 * version modified on the 2012/09/05 JL (Jacques Louvel)
 * see JL120905 mod 1 - 7 below and in :
 * _html_header.inc,  _item_block.inc, jl_photoblog.js,  
 * _mediaidx.disp and /inc/widgets/widgets/_coll_media_index.widget.php
 *
 * 1/ change Index display to limit to main category
 * => add var $jl_main_cat 
 * => see modification of /inc/widgets/widgets/_coll_media_index.widget.php
 * => see modification in index.main.php = added  onclick="return jl_mediaidx();"
	in the link to the index (?disp=mediaidx)
 * => see modification in _item_block.inc.php = added an invisible div
 *	to get the name of the main category in the corresponding js
 * => see modification of _html_header.inc.php (script modified link to mediaidx)
 * => see modification de /locales/fr_FR/_global.php = 'Show all Albums (clic)'
 * 2/ added : a display of the status private or protected
 * => see _item_block.inc
 * 3/ added : navigation with left/right arrow keys
 * => see index.main.php and _html_header.inc
 * 4/ added : links to share with Facebook or Google+
 * => see modification of _item_block.inc.php
 * 5/ added an option to display images as a slide-show
 * => see JL120905 mod 8
*/

if( !defined('EVO_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

if( version_compare( $app_version, '3.0' ) < 0 )
{ // Older skins (versions 2.x and above) should work on newer b2evo versions, but newer skins may not work on older b2evo versions.
	die( 'This skin is designed for b2evolution 3.0 and above. Please <a href="http://b2evolution.net/downloads/index.html">upgrade your b2evolution</a>.' );
}

// This is the main template; it may be used to display very different things.
// Do inits depending on current $disp:
skin_init( $disp );

// ------------ JL120905 mod 1 (used to change Index behaviour) ------------------------------
global $Skin;
global $jl_main_cat;
global $jl_main_cat_name;
// ------------ End of JL120905 mod 1 (to be continued below and in html_header_inc) ------

require_js( 'functions.js' );	// for opening popup window (comments)

// -------------------------- HTML HEADER INCLUDED HERE --------------------------
skin_include( '_html_header.inc.php' );
// Note: You can customize the default HTML header by copying the
// _html_header.inc.php file into the current skin folder.
// -------------------------------- END OF HEADER --------------------------------
?>

<div class="PageTop">
	<?php
		// Display container and contents:
		skin_container( NT_('Page Top'), array(
				// The following params will be used as defaults for widgets included in this container:
				'block_start' => '<div class="$wi_class$">',
				'block_end' => '</div>',
				'block_display_title' => false,
				'list_start' => '<ul>',
				'list_end' => '</ul>',
				'item_start' => '<li>',
				'item_end' => '</li>',
			) );
	?>
</div>

<div class="pageHeader">

	<div class="top_menu floatright">
		<?php
			// ------------------------- "Menu" CONTAINER EMBEDDED HERE --------------------------
			// Display container and contents:
			skin_container( NT_('Menu'), array(
					// The following params will be used as defaults for widgets included in this container:
					'block_start' => '',
					'block_end' => '',
					'block_display_title' => false,
					'list_start' => '',
					'list_end' => '',
					'item_start' => ' ',
					'item_end' => ' | ',
				) );
			// ----------------------------- END OF "Menu" CONTAINER -----------------------------
		
			if( $disp == 'posts' ){
				echo '<span  style="color:white;cursor:pointer;" title="'.$Skin->T_('Go back to the first photo in this album').'" onClick="return jl_startAlbum();">'.$Skin->T_('Restart album').'</span>  |
				';
			};
		?>
		<!--  === JL120905 mod 8 Menu option slide show / diaporama === -->
		<span id="jlrama" style="color:white;cursor:pointer;" title="<?php echo $Skin->T_('Click to Start / Stop the Slide show&#13;default delay between slides = 10s&#13;click an arrow at right to change delay'); ?>" onClick="return jl_photorama();"><?php echo $Skin->T_('Slide show') ?> </span>
		<span id="jlr0" style="font-weight:bold;color:white;">&raquo;</span><span id="jlr1" style="font-weight:bold;color:white;cursor:pointer;" title="5s" onClick="return jl_setTempo(5);">&raquo;</span><span id="jlr2" style="font-weight:bold;color:white;cursor:pointer;" title="10s" onClick="return jl_setTempo(10);">&raquo;</span><span id="jlr3" style="font-weight:bold;color:white;cursor:pointer;" title="15s" onClick="return jl_setTempo(15);">&raquo;</span><span id="jlr4" style="font-weight:bold;color:white;cursor:pointer;" title="20s" onClick="return jl_setTempo(20);">&raquo;</span><span id="jlr5" style="font-weight:bold;color:white;cursor:pointer;" title="+5s" onClick="return jl_setTempo(99);">&raquo;</span>
		| 
		<!--  === JL120905 mod 2 === -->
		<script type="text/javascript">jl_mediaidxurl="<?php $Blog->disp( 'mediaidxurl', 'raw' ) ?>";</script>
		<a href="<?php $Blog->disp( 'mediaidxurl', 'raw' ) ?>" onclick="return jl_mediaidx();" title="<?php echo $Skin->T_('Display a photo index for this album or all albums'); ?>"><?php echo T_('Index') ?></a>
		<!-- === End of JL120905 mod 2 + 8 === -->
		| <span style="color:white;cursor:help;" title="<?php echo $Skin->T_('Navigate between photos using the mouse&#13;or the l/r arrow keys on the keybord'); ?>"><?php echo $Skin->T_('Help') ?></span> 
	</div>

	<h1 id="pageTitle"><a href="<?php $Blog->disp( 'url', 'raw' ) ?>"><?php $Blog->disp( 'name', 'htmlbody' ) ?></a></h1>

</div>
<div class="bPosts">

<!-- =================================== START OF MAIN AREA =================================== -->

	<?php
	// ------------------------- MESSAGES GENERATED FROM ACTIONS -------------------------
	messages( array(
			'block_start' => '<div class="action_messages">',
			'block_end'   => '</div>',
		) );
	// --------------------------------- END OF MESSAGES ---------------------------------
	?>
	
	<!-- === JL120905 mod 3 to get previous and next url with js === -->
	<div style="display:none;">
	<div id="jl_pre"><?php
		// -------------------- PREV/NEXT PAGE LINKS (POST LIST MODE) --------------------
		mainlist_page_links( array(
				'block_start' => '',
				'block_end' => '',
				'links_format' => '$prev$',
				'prev_text' => '',
				'next_text' => '',
				'no_prev_text' => '',
				'no_next_text' => '',
			) );
		// ------------------------- END OF PREV/NEXT PAGE LINKS -------------------------
		// ------------------- PREV/NEXT POST LINKS (SINGLE POST MODE) -------------------
		item_prevnext_links( array(
				'template' => '$prev$',
				'block_start' => '',
				'prev_start'  => '',
				'prev_text' => '',
				'prev_no_item' => '',
				'prev_end'    => '',
				'block_end'   => '',
			) );
		// ------------------------- END OF PREV/NEXT POST LINKS -------------------------
	?></div>
	<div id="jl_nex"><?php
		// -------------------- PREV/NEXT PAGE LINKS (POST LIST MODE) --------------------
		mainlist_page_links( array(
				'block_start' => '',
				'block_end' => '',
				'links_format' => '$next$',
				'prev_text' => '',
				'next_text' => '',
				'no_prev_text' => '',
				'no_next_text' => '',
			) );
		// ------------------------- END OF PREV/NEXT PAGE LINKS -------------------------
		// ------------------- PREV/NEXT POST LINKS (SINGLE POST MODE) -------------------
		item_prevnext_links( array(
				'template' => '$next$',
				'block_start' => '',
				'next_start'  => '',
				'next_text' => '',
				'next_no_item' => '',
				'next_end'    => ' ',
				'block_end'   => '',
			) );
		// ------------------------- END OF PREV/NEXT POST LINKS -------------------------
	?></div>
	<div id="jl_cat"><?php
		// ------------------------- TITLE FOR THE CURRENT REQUEST -------------------------
		request_title( array(
				'title_before'=> '',
				'title_after' => '',
				'title_none'  => '',
				'glue'        => '',
				'title_single_disp' => true,
				'format'      => 'htmlbody',
				'arcdir_text' => '',
				'catdir_text' => '',
				'category_text' => '',
				'categories_text' => '',
			) );
		// ------------------------------ END OF REQUEST TITLE -----------------------------
	?></div>
	</div>
	<!-- === End of JL120905 mod 3 === -->
	
	<?php
		// -------------------- PREV/NEXT PAGE LINKS (POST LIST MODE) --------------------
		mainlist_page_links( array(
				'block_start' => '<div class="nav_right">',
				'block_end' => '</div>',
				'links_format' => '$next$ $prev$',
				'prev_text' => '<img src="img/prev.gif" width="29" height="29" alt="'.T_('Previous').'" title="'.T_('Previous').'" />',
				'next_text' => '<img src="img/next.gif" width="29" height="29" alt="'.T_('Next').'" title="'.T_('Next').'" />',
				'no_prev_text' => '',
				'no_next_text' => '<img src="'.$rsc_url.'/img/blank.gif" width="29" height="29" alt="" class="no_nav" />',
			) );
		// ------------------------- END OF PREV/NEXT PAGE LINKS -------------------------
	?>

	<?php
		// ------------------- PREV/NEXT POST LINKS (SINGLE POST MODE) -------------------
		item_prevnext_links( array(
				'template' => '$next$$prev$',
				'block_start' => '<div class="nav_right">',
				'next_start'  => '',
				'next_text' => '<img src="img/next.gif" width="29" height="29" alt="'.T_('Next').'" title="'.T_('Next').'" />',
				'next_no_item' => '<img src="'.$rsc_url.'/img/blank.gif" width="29" height="29" alt="" class="no_nav" />',
				'next_end'    => ' ',
				'prev_start'  => '',
				'prev_text' => '<img src="img/prev.gif" width="29" height="29" alt="'.T_('Previous').'" title="'.T_('Previous').'" />',
				'prev_no_item' => '',
				'prev_end'    => '',
				'block_end'   => '</div>',
			) );
		// ------------------------- END OF PREV/NEXT POST LINKS -------------------------
	?>

	<?php
		// ------------------------- TITLE FOR THE CURRENT REQUEST -------------------------
		request_title( array(
				'title_before'=> '<h2>',
				'title_after' => '</h2>',
				'title_none'  => '<h2>&nbsp;</h2>',
				'glue'        => ' - ',
				'title_single_disp' => false,
				'format'      => 'htmlbody',
				'arcdir_text' => T_('Index'),
				'catdir_text' => T_('Albums'),
				'category_text' => T_('Album').': ',
				'categories_text' => T_('Albums').': ',
			) );
		// ------------------------------ END OF REQUEST TITLE -----------------------------
	?>
	<?php
	// Go Grab the featured post:
	if( $Item = & get_featured_Item() )
	{	// We have a featured/intro post to display:
		// ---------------------- ITEM BLOCK INCLUDED HERE ------------------------
		skin_include( '_item_block.inc.php', array(
				'feature_block' => true,
				'content_mode' => 'full', // We want regular "full" content, even in category browsing: i-e no excerpt or thumbnail
				'intro_mode'   => 'normal',	// Intro posts will be displayed in normal mode
				'item_class'   => 'featured_post',
			) );
		// ----------------------------END ITEM BLOCK  ----------------------------
	}
	?>

	<?php
	// ------------------------------------ START OF POSTS ----------------------------------------
	// Display message if no post:
	display_if_empty();
	
	while( $Item = & mainlist_get_item() )
	{	// For each blog post:
		// ---------------------- ITEM BLOCK INCLUDED HERE ------------------------
		skin_include( '_item_block.inc.php', array(
				'content_mode'  => 'full', // We want regular "full" content, even in category browsing: i-e no excerpt or thumbnail
			) );
		//--------- JL120905 mod 1 - modification of Index behaviour (continued) ----------------
		$jl_main_cat = $Item->get('main_cat_ID'); 
		echo '<script type="text/javascript">jl_main_cat='.$jl_main_cat.';jl_main_cat_name="'.$jl_main_cat_name.'";</script>';
		//--------- End of JL120905 mod 1 ----------------------------------------------------------
		// ---------------------------- END ITEM BLOCK  ----------------------------
	} // ---------------------------------- END OF POSTS ------------------------------------
	?>

	<?php
		//--------------------- JL120905 mod 4 - add navigation links at the top of post ----------
		// -------------------- PREV/NEXT PAGE LINKS (POST LIST MODE) --------------------
		mainlist_page_links( array(
				'block_start'    => '<div class="nav_right">',
				'block_end'      => '</div><br />',
				'links_format'   => '$next$ $prev$',
				'prev_text'      => '<img src="img/prev.gif" width="29" height="29" alt="'.T_('Previous').'" title="'.T_('Previous').'" />',
				'next_text'      => '<img src="img/next.gif" width="29" height="29" alt="'.T_('Next').'" title="'.T_('Next').'" />',
				'no_prev_text' => '',
				'no_next_text' => '<img src="'.$rsc_url.'/img/blank.gif" width="29" height="29" alt="" class="no_nav" />',
			) );
		// ------------------------- END OF PREV/NEXT PAGE LINKS -------------------------
		// ------------------------- End of JL120905 mod 4 --------------------------------------
	?>

	<?php
		// -------------- MAIN CONTENT TEMPLATE INCLUDED HERE (Based on $disp) --------------
		skin_include( '$disp$', array(
				'disp_posts'  => '',		// We already handled this case above
				'disp_single'  => '',		// We already handled this case above
				'disp_page'   => '',		// We already handled this case above
			) );
		// Note: you can customize any of the sub templates included here by
		// copying the matching php file into your skin directory.
		// ------------------------- END OF MAIN CONTENT TEMPLATE ---------------------------
	?>

</div>


<?php
// ------------------------- BODY FOOTER INCLUDED HERE --------------------------
skin_include( '_body_footer.inc.php' );
// Note: You can customize the default BODY footer by copying the
// _body_footer.inc.php file into the current skin folder.
// ------------------------------- END OF FOOTER --------------------------------
?>

<!-- JL120905 mod 8 (cotinued) -->
<script type="text/javascript">
	jl_setMenuSlideshowColor();
</script>
<!-- End of JL120905 mod 8 -->

<?php
// ------------------------- HTML FOOTER INCLUDED HERE --------------------------
skin_include( '_html_footer.inc.php' );
// Note: You can customize the default HTML footer by copying the
// _html_footer.inc.php file into the current skin folder.
// ------------------------------- END OF FOOTER --------------------------------
?>